%global pkg_name JUnitParams

Name:           junitparams
Version:        1.1.1
Release:        1%{?dist}
Summary:        Better parameterised tests for JUnit
License:        ASL 2.0
URL:            http://pragmatists.github.io/JUnitParams
Source0:        https://github.com/Pragmatists/JUnitParams/archive/%{pkg_name}-%{version}.tar.gz
# Disable some tests due to newer version of junit
# here is an example without the patch:
# junit:4.12: https://koji.fedoraproject.org/koji/taskinfo?taskID=74844521 -> Success
# junit:4.13.1: https://koji.fedoraproject.org/koji/taskinfo?taskID=74844520 -> Failed
# it has been reported: https://github.com/Pragmatists/JUnitParams/issues/172
Patch0:         ignore-some-tests.patch
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.assertj:assertj-core)

%description
JUnitParams project adds a new runner to JUnit and provides much easier and
readable parametrised tests for JUnit >= 4.12.

%javadoc_package

%prep
%autosetup -p1 -n %{pkg_name}-%{pkg_name}-%{version}

find -type f \( -name \*.jar -o -name \*.class \) -delete

%pom_remove_parent

%pom_remove_plugin :nexus-staging-maven-plugin

%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_plugin :animal-sniffer-maven-plugin

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASES.md
%license LICENSE.txt

%changelog
* Tue Aug 31 2021 Didik Supriadi <didiksupriadi41@gmail.com> - 1.1.1-1
- Initial package
